> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

# 55. Augšupielādēt ZIP failus (virs 6 MB)

AWS mākoņpakalpojumu sniedzēja tehniskā ierobežojuma dēļ failu, kas lielāki par 6 MB, augšupielāde jāveic divos soļos:

#### **1. Pieprasiet iepriekš parakstīto saiti tiešai augšupielādei.** <a href="#step1" id="step1"></a>

Ievade:

* `fileType` - `yield` VAI `soil` VAI `applied` VAI `adapt` VAI `boundary`,
* `farmUuid` (neobligāts) — saimniecības UUID, kurā importēt failu.

Izvade:

* `uuid` — paredzamais UUID pēc augšupielādes un apstrādes;
* `farmUuid` — tāds pats kā ievadē;
* `fileType` — tāds pats kā ievadē;
* `s3Url` — URL, kas izmantots faila augšupielādei;
* `s3Fields` — atribūti, kas jāiekļauj faila augšupielādes veidlapā.

Sīkāks apraksts par to, kā izmantot `s3Url` un `s3Fields` sniegts otrajā solī.

Atribūti ir derīgi tikai 60 minūtes, lai augšupielādētu failu.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Nosūtiet vietējo failu uz s3Url, izmantojot iepriekš definētos formas atribūtus no s3Fields.** <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Paziņojumi par apstrādi tiks nosūtīti, izmantojot abonēšanas mehānismu, kas aprakstīts sadaļā\
[1. Abonēšana: notikumu saņemšana](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
Atbildes galvenē ir iekļauta `Etag` galvene, kas, piemēram, izskatās šādi: `Etag: "6fd3e76992738357ab50039f2c60024e"`. Šī vērtība pēc tam tiek izmantota GraphQL [vaicājumā getPlatformContext](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-requests-overview/83.-query-collect-platform-context.md) lai uzraudzītu apstrādes gaitu, kā arī saistību ar entītijām "Lauks", "AsAppliedDataset", "YieldDataset" un "SoilDataset".
{% endhint %}

{% hint style="info" %}
Izmantojiet `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
